Subject: RE: [rohc] RFC-3095 question: Parsing of UOR-2-* + Extension 3

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Wed, 10 Sep 2003 09:34:34 +0200

Remi,

Your observation is correct for RND, the text was generally
written to apply to all flags.

/L-E

> -----Original Message-----
> From: Remi Pelland [mailto:[email-masked]]
> Sent: den 22 juli 2003 20:25
> To: [email-masked]'
> Subject: [rohc] RFC-3095 question: Parsing of UOR-2-* + Extension 3
> 
> 
> 
> Hi,
> 
> Section 4.8 of the ROHC Implementer's Guide (rev 03) says 
> that when the RND
> flag changes in Extension 3, "the decompressor should 
> re-parse the UOR-2-*
> packet."
> 
> Instead of parsing the UOR-2-* packet and re-parsing it if 
> RND changes, is
> it correct to simply parse the packet using the value of RND 
> included in the
> Extension 3, regardless if it changes or not (provided the 
> field is present
> in the extension)?  When the RND flag is not in the extension, then as
> usual, the value of RND in the associated decompressor 
> context is used.  
> 
> In other words, when parsing an UOR-2-* packet that contains 
> an Extension 3,
> the value of RND included in the extension overrides the one 
> in the context
> when parsing.
> 
> Off course this requires to take peek at the Extension 3 
> content before
> parsing the packet, but this is possible since the X-bit is 
> at the same
> location for all UOR-2-* packets.
> 
> Thanks,
> Rémi.
> 
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
> 

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc